about summary refs log tree commit diff
diff options
context:
space:
mode:
-rw-r--r--scripts/nix-profile.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/nix-profile.sh.in b/scripts/nix-profile.sh.in
index 064a6a347a..55cff3e62d 100644
--- a/scripts/nix-profile.sh.in
+++ b/scripts/nix-profile.sh.in
@@ -1,7 +1,7 @@
 if test -n "$HOME"; then
     NIX_LINK="$HOME/.nix-userenv"
 
-    if ! test -a "$NIX_LINK"; then
+    if ! test -L "$NIX_LINK"; then
         echo "creating $NIX_LINK"
         _NIX_DEF_LINK=@localstatedir@/nix/links/current
         ln -s "$_NIX_DEF_LINK" "$NIX_LINK"